Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062953 - Change compile option "--with-sandbox" from "rlimit" to "seccomp_filter"
Summary: Change compile option "--with-sandbox" from "rlimit" to "seccomp_filter"
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openssh
Version: 20
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jakub Jelen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-09 08:34 UTC by Matrix
Modified: 2015-02-18 16:46 UTC (History)
5 users (show)

Fixed In Version: openssh-6.7p1-3.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-18 16:46:51 UTC


Attachments (Terms of Use)

Description Matrix 2014-02-09 08:34:19 UTC
This is a simple security enhancing feature request.

Right now, OpenSSH on Fedora is compiled with "rlimit" as "Privsep sandbox style". Since OpenSSH 6.0, a newer sandbox style is available - "seccomp_filter".

I recommend that "--with-sandbox" compile option is changed to "seccomp_filter" to increase security of OpenSSH server.

OpenSSH in Ubuntu 13.10 is compiled with "seccomp_filter" sandbox.

Comment 1 Petr Lautrbach 2014-02-26 16:12:34 UTC
Last time I tried, I was not able to login, it was probably related to GSSAPI authentication which is enabled by default in Fedora, see https://bugzilla.mindrot.org/show_bug.cgi?id=2107 

I'll prepare another build and try it again using upstream's fix.


Note You need to log in before you can comment on or make changes to this bug.